Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api
Class PluginManagementImpl

`java.lang.Object
oracle.ovs.api.PluginManagementImpl`

All Implemented Interfaces:
  PluginManagement

      public class PluginManagementImpl

extends java.lang.Object
implements PluginManagement

Refer to `PluginManagement`

Constructor Summary
`PluginManagementImpl()`

Method Summary
`void` | `disposePlugin()` To dispose the plugin to release the resource and stop some jobs, call it after finish using the plugin
`void` | `freeThreadConnection()` To release database connection object that plugin threads used
`oracle.ovs.daemon.DaemonManager` | `getDaemonManager()` To return the DaemonManager instance of this plugin for further control upon the internal daemons
`void` | `pareparePlugin()`
`void` | `preparePlugin()` To prepare this plugin, some essential works are being done inside this function, call it firstly when use the plugin
`void` | `preparePlugin(boolean autoStartDaemons)` To prepare this plugin, some essential works are being done inside this function, call it firstly when use this plugin
`void` | `setThreadConnection(java.sql.Connection conn)` To set database connection object for the plugin threads

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginManagementImpl

    public PluginManagementImpl()

Method Detail

### preparePlugin

    public void preparePlugin()

  Description copied from interface: `PluginManagement`
  To prepare this plugin, some essential works are being done inside this function, call it firstly when use the plugin
  Specified by:
    `preparePlugin` in interface `PluginManagement`

### preparePlugin

    public void preparePlugin(boolean autoStartDaemons)

  Description copied from interface: `PluginManagement`
  To prepare this plugin, some essential works are being done inside this function, call it firstly when use this plugin
  Specified by:
    `preparePlugin` in interface `PluginManagement`
  Parameters:
    `autoStartDaemons` - whether start the internal service daemons in this function

### pareparePlugin

    public void pareparePlugin()

  Specified by:
    `pareparePlugin` in interface `PluginManagement`

### disposePlugin

    public void disposePlugin()

  Description copied from interface: `PluginManagement`
  To dispose the plugin to release the resource and stop some jobs, call it after finish using the plugin
  Specified by:
    `disposePlugin` in interface `PluginManagement`

### setThreadConnection

    public void setThreadConnection(java.sql.Connection conn)

  Description copied from interface: `PluginManagement`
  To set database connection object for the plugin threads
  Specified by:
    `setThreadConnection` in interface `PluginManagement`
  Parameters:
    `conn` - the database connection for the plugin to use

### freeThreadConnection

    public void freeThreadConnection()

  Description copied from interface: `PluginManagement`
  To release database connection object that plugin threads used
  Specified by:
    `freeThreadConnection` in interface `PluginManagement`

### getDaemonManager

    public oracle.ovs.daemon.DaemonManager getDaemonManager()

  Description copied from interface: `PluginManagement`
  To return the DaemonManager instance of this plugin for further control upon the internal daemons
  Specified by:
    `getDaemonManager` in interface `PluginManagement`

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.